%define name dejagnu
%define version 20000303
%define release 1mdk

Summary: A front end for testing other programs.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
URL: http://sourceware.cygnus.com
Source: %{name}-%{version}.tar.bz2 
#Patch0: %{name}-%{version}-rth.patch.bz2
#Patch1: %{name}-%{version}-glibc21.patch.bz2
Group: Development/Other
Requires: tcl >= 8.0, expect >= 5.21
BuildRoot: /var/tmp/%{name}-buildroot
BuildArchitectures: noarch

%description
DejaGnu is an Expect/Tcl based framework for testing other programs.
DejaGnu has several purposes: to make it easy to write tests for any
program; to allow you to write tests which will be portable to any
host or target where a program must be tested; and to standardize the
output format of all tests (making it easier to integrate the testing
into software development).

%prep
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%setup -q -n %{name}-%{version}
#%patch0 -p1 -b .rth
#%patch1 -p1 -b .glibc21

%build
libtoolize --copy --force
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared
make dejagnu

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr

make prefix=$RPM_BUILD_ROOT/usr install-dejagnu

ln -s ../lib/tcl8.0 $RPM_BUILD_ROOT/usr/share/tcl8.0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/runtest
/usr/share/dejagnu/*
/usr/share/tcl8.0

%changelog
* Tue May 09 2000 Lenny Cartier <lenny@mandrakesoft.com> 20000303-1mdk
- fix group
- bzip2 patches

* Tue Nov 30 1999 Jakub Jelinek <jakub@redhat.com>
- made noarch.

* Mon Nov 8 1999 Tim Powers <timp@redhat.com>
- updated to 19991101

* Mon Jul 12 1999 Tim Powers <timp@redhat.com>
- updated to 19990628
- updated patches as needed
- added %defattr in files section

* Wed Mar 10 1999 Jeff Johnson <jbj@redhat.com>
- add alpha expect patch (#989)
- use %configure

* Thu Dec 17 1998 Jeff Johnson <jbj@redhat.com>
- Update to 19981215.

* Thu Nov 12 1998 Jeff Johnson <jbj@redhat.com>
- Update to 1998-10-29.

* Wed Jul  8 1998 Jeff Johnson <jbj@redhat.com>
- Update to 1998-05-28.

* Sun Feb  1 1998 Jeff Johnson <jbj@jbj.org>
- Create.
